require 'boss_spawner.boss_spawner'

BossSpawner.SewerDungeonNoob =
{
	--------------------------------------------------------------------------
	-- optional keys
	--------------------------------------------------------------------------
	-- when the spawner finishes the last stage, delete the spawner when done
	OnCompletionDestroySelf = true,
	-- remove the lootpack table from the mobs spawned
	RemoveLootPacks = true,
	-- add the following loot packs to the given monsters
	AddLootPacks = 
	{
		"PotionsRich",
		"StupidRich",
		"DynamicSpawnerHardBossGear",
		"DeathBossGear",
		"AncientScrolls",
		"ScrollsBoss",
		"ColossalBoss"
	},
	-- make sure they all have the same MobileTeamType objvar 
	-- this keeps them from fighting each other. the boss spawner
	-- defaults this value to "BossSpawner"
	MobileTeamType = "SewerDungeonNoob",
	-- this is a title that appears under the name of the mobs
	MobileTitle = "[FF7700]-<[| [AAAA33]Wealthy[FF7700] |]>-",
	-- this removes the taming objvar to stop people from taming
	CantBeTamed = true,
	-- in case you attach this to a non NoDraw object then you can
	-- use this as an alternative tooltip for players to see.
	CustomToolTip = 
	{
		-- the tooltip to show when the boss spawner is active
		Active = "A filth covered barrel filled with nasty rats.",
		-- the tooltip to show when the boss spawner is sleeping
		Sleeping = "A filth covered barrel"
	},
	-- sets the scale of the mobile being spawned
	MobileScaleTimes = 0.40,
	
	--------------------------------------------------------------------------
	-- required keys
	--------------------------------------------------------------------------
	-- the starting stage of the boss spawner
	StartingStage = "Stage1",
	-- table containing the stages of the spawn
	Stages =
	{
		Stage1 =
		{
			MonsterList = {"sewer_rat",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 1, Bonus = 1},
			Range = {Min = 2, Max = 5},
			StartWaveMessage = "Rats come squeeking out of the barrel.",
			NextStage = "Stage2",
		},		
		Stage2 =
		{
			MonsterList = {"sewer_rat",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 1, Bonus=1},
			Range = {Min = 2, Max = 5},
			StartWaveMessage = "More rats scurry out of the barrel.",
			NextStage = "Stage3",
		},		
		Stage3 =
		{
			MonsterList = {"sewer_rat",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 30, Bonus=1},
			Range = {Min = 5, Max = 10},
			StartWaveMessage = "[FF7700]SQUEEEEEEK:[-] Squeeek squek squeeek. LOOK OUT!",
			NextStage = "EndStage"
		},		
	}
}
