require 'boss_spawner.boss_spawner'

BossSpawner.ShrineOfEarthMaster =
{
	--------------------------------------------------------------------------
	-- optional keys
	--------------------------------------------------------------------------
	-- when the spawner finishes the last stage, delete the spawner when done
	OnCompletionDestroySelf = false,
	-- remove the lootpack table from the mobs spawned
	RemoveLootPacks = true,
	-- add the following loot packs to the given monsters
	AddLootPacks = 
	{
		"Potions",
		"FilthyRich",
		"Spider",
		"EssenceLow",
		"FrayedScrolls",
		"ScrollsMed",
		"Maps",	
		"MagePoor",	
		"ArcherPoor",	
		"WarriorPoor",	
	},
	-- make sure they all have the same MobileTeamType objvar 
	-- this keeps them from fighting each other. the boss spawner
	-- defaults this value to "BossSpawner"
	MobileTeamType = "ShrineOfEarth",
	-- this is a title that appears under the name of the mobs
	MobileTitle = "[FF7700]-<[| [AAAA33]Shrine Guardian[FF7700] |]>-",
	-- this removes the taming objvar to stop people from taming
	CantBeTamed = true,
	-- in case you attach this to a non NoDraw object then you can
	-- use this as an alternative tooltip for players to see.
	CustomToolTip = 
	{
		-- the tooltip to show when the boss spawner is active
		Active = "A filth covered barrel filled with nasty rats.",
		-- the tooltip to show when the boss spawner is sleeping
		Sleeping = "A filth covered barrel"
	},
	-- sets the scale of the mobile being spawned
	MobileScaleTimes = 1.25,

	--------------------------------------------------------------------------
	-- required keys
	--------------------------------------------------------------------------
	-- the starting stage of the boss spawner
	StartingStage = "Stage1",
	-- table containing the stages of the spawn
	Stages =
	{
		Stage1 =
		{
			MonsterList = {"ent"},
			TotalWaves = 3,
			MonstersPerWave = {Base = 1, Bonus = 1},
			Range = {Min = 3, Max = 20},
			StartWaveMessage = "Ents appear to protect the ancient shrine.",
			NextStage = "Stage2",
		},		
		Stage2 =
		{
			MonsterList = {"ent",},
			TotalWaves = 2,
			MonstersPerWave = {Base = 1, Bonus=1},
			Range = {Min = 3, Max = 20},
			StartWaveMessage = "Ents of the forest become bitter.",
			NextStage = "Stage3",
		},		
		Stage3 =
		{
			MonsterList = {"ent",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 1, Bonus=1},
			Range = {Min = 3, Max = 20},
			StartWaveMessage = "[FF7700]Shrine of Earth:[-] begins to shift and shake.",
			NextStage = "EndStage"
		},		
	}
}
