require 'default:base_magic_sys'

--- this overrides the default function to add natures magics healing touch spell heal amount 
-- @param spellName - spellkey name in the AllSpells table
-- @param spellSource - the source for casting this spell
function GetSpellHealAmount(spellName, spellSource)
	Verbose("Magic", "GetSpellHealAmount", spellName, spellSource)
    if(spellSource == nil) then spellSource = this end
	
	local healAmount = 0
	local magicSkill = GetSkillLevel(spellSource,"ManifestationSkill")
	if(spellName == "Heal") then
		healAmount = (magicSkill / 7.5) + (math.floor(math.random(1, 3) + 0.5))
	elseif(spellName == "Greaterheal") then
		healAmount = (magicSkill * 0.4) + (math.floor(math.random(1, 10) + 0.5))
	
	-- OVERRIDE START
	-- add nature healing touch
	elseif(spellName == "HealingTouch") then
		magicSkill = GetSkillLevel(spellSource,"NatureMagicSkill")
		healAmount = (magicSkill * 0.25) + (math.floor(math.random(1, 6) + 0.5))
	-- OVERRIDE END
	
	else
		DebugMessage("Unknown healing spell "..spellName)
		return 0
	end
	--round to nearest int
	healAmount = math.floor(healAmount + 0.5)

	return healAmount * 4
end