MobileEffectLibrary.NaturesTouch = 
{
	PersistSession = true,

	OnEnterState = function(self,root,target,args)
		self.Duration = args.Duration or self.Duration
		self.Amount = args.Amount or self.Amount
		-- target is caster
		local duration = math.floor(GetSkillLevel(target,"NatureMagicSkill")/10) or 1
		if(duration < 1) then duration = 1 end
		self.Duration = TimeSpan.FromMinutes(duration)
		if ( self.ParentObj:IsPlayer() ) then
			AddBuffIcon(self.ParentObj, "NaturesTouch", "Natures Touch", "Raise Undead", "Increased chances to harvest natural resources")
			--SetMobileMod(self.ParentObj, "BonusPlantHarvesting", "NaturesTouch", bonus)
			local harvestbonus = duration / 10
			self.ParentObj:SetObjVar("SpellBuffData.NaturesTouch",harvestbonus)
		else
			target:SystemMessage("your spell didn't take...")
			EndMobileEffect(root)
		end
	end,

	OnExitState = function(self,root)
		if ( self.ParentObj:IsPlayer() ) then
			RemoveBuffIcon(self.ParentObj, "NaturesTouch")
			--SetMobileMod(self.ParentObj, "BonusPlantHarvesting", "NaturesTouch", nil)
			self.ParentObj:DelObjVar("SpellBuffData.NaturesTouch")
		end
	end,

	OnStack = function(self,root,target,args)
		-- refresh duration
		root.ParentObj:ScheduleTimerDelay(self.Duration, root.PulseId.."-"..root.CurStateName)
	end,

	GetPulseFrequency = function(self,root)
		return self.Duration
	end,

	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,

	Duration = TimeSpan.FromMinutes(10),
	Amount = .2,
}