MobileEffectLibrary.SpiritOfTheWolf = 
{
	PersistSession = true,

	OnEnterState = function(self,root,target,args)
		self.Duration = args.Duration or self.Duration
		self.Amount = args.Amount or self.Amount
		-- target is caster
		local bonus = math.floor(GetSkillLevel(target,"NatureMagicSkill")/10) or 1
		if ( self.ParentObj:IsPlayer() ) then
			target:SystemMessage("[FFFF00]you feel the spirit of the wolf embrace you...")
			AddBuffIcon(self.ParentObj, "SpiritOfTheWolf", "Spirit of the Wolf", "Summon Spirit Wolf", "Agility increased by "..bonus)
		end
		SetMobileMod(self.ParentObj, "AgilityPlus", "SpiritOfTheWolf", bonus)
	end,

	OnExitState = function(self,root)
		if ( self.ParentObj:IsPlayer() ) then
			RemoveBuffIcon(self.ParentObj, "SpiritOfTheWolf")
		end
		SetMobileMod(self.ParentObj, "AgilityPlus", "SpiritOfTheWolf", nil)
	end,

	OnStack = function(self,root,target,args)
		-- refresh duration
		root.ParentObj:ScheduleTimerDelay(self.Duration, root.PulseId.."-"..root.CurStateName)
	end,

	GetPulseFrequency = function(self,root)
		return self.Duration
	end,

	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,

	Duration = TimeSpan.FromMinutes(10),
	Amount = .2,
}