require 'default:globals.static_data.spells'

SpellData.AllSpells.Barkskin = 
{
	PowerWords = "Elevus Protectus",
	Icon = "Block",
	manaCost = 12,
	effectType = "InstantHitSpell",
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	SpellType = "BuffTypeSpell",
	SpellFXName = "ElectricShield",
	SpellFXDuration = 3,
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Increase targets defense.",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "BuffEffect_C",
	SpellDisplayName = "Barkskin",
	TargetMobileEffect = "Barkskin",
	Reagents = {
		"Moss",
	},
	Circle = 4,
}

SpellData.AllSpells.CurePoison = 
{
	PowerWords = "Cure",
	Icon = "regenfocus",
	manaCost = 6,
	effectType = "InstantHitSpell",
	critChance = 0,
	SpellRange = 15,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellType = "BeneficialSpellType",
	SpellFXName = "CureEffect",
	SpellFXArgs = "Bone=Ground",
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellFXDuration = 3,
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellHitSFX = "event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Cures the target of poison.",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	BeneficialSpellType = true,
	AttackSpellType = false,
	SpellEnabled = true,
	SpellDisplayName = "Cure Poison",
	spellHitEffectTargetScript = "sp_cure_poison_effect",
	ReagentsRequired = false,
	Reagents = {
		"Ginseng",
	},
	Circle = 4,
}

SpellData.AllSpells.FlameLick = 
{
	PowerWords = "Ues Flamus",
	manaCost = 4,
	upkeepCost = 0,
	DamageType = "Fire",
	effectType = "Projectile",
	SpellPower = 4,
	critChance = 1,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellTravelRate = 14,
	critEffectTargetScript = "sp_burn_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	CanBeDodged = true,
	CanBeBlocked = true,
	CanBeParried = true,
	MinTravelTime = 1.5,
	SpellFXName = "CastFire",
	SpellFXArgs = "Bone=R_Hand",
	SpellFXDelay = 0.2,
	SpellFXDespawnDelay = 1,
	SpellHitFX = "FireballExplosionEffect",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellTooltipString = "Toss a magical ember at the target.",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Flame Lick",
	Reagents = {
		"LemonGrass",
	},
	Circle = 1,
	Icon = "Flame Whirl",
}

SpellData.AllSpells.HealingTouch = 
{
	PowerWords = "Um Lif Vitalis",
	SpellPower = 6,
	Icon = "restore",
	manaCost = 12,
	effectType = "InstantHitSpell",
	critChance = 5,
	SpellRange = 3,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	critEffectTargetScript = "sp_heal_effect",
	SpellType = "HealTypeSpell",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellFXName = "GreaterHealEffect",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellHitSFX = "event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Touching your target to heal their wounds instantly.",
	SpellFXArgs = "Bone=Ground",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_heal",
	SpellDisplayName = "Healing Touch",
	ReagentsRequired = true,
	Reagents = {
		"Ginseng",
	},
	Circle = 3,
}

SpellData.AllSpells.LightningBolt = 
{
	PowerWords = "Uligh",
	manaCost = 11,
	upkeepCost = 0,
	DamageType = "Energy",
	effectType = "InstantHitSpell",
	SpellPower = 21,
	critChance = 10,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	critEffectTargetScript = "sp_shocked_slow_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellFXName = "LightningCloudEffect",
	SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
	SpellHitSFX = "event:/magic/air/magic_air_lightning_impact",
	SpellSourceSFX = "event:/magic/air/magic_air_lightning",
	SpellTooltipString = "Lightning strikes the target doing instant direct damage.",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_lightning",
	SpellDisplayName = "Lightning Bolt",
	Reagents = {
		"LemonGrass",
	},
	Circle = 4,
	Icon = "lightning",
}

SpellData.AllSpells.NaturesTouch =
{
	PowerWords = "Mau Ungrowith",
	Circle = 2,
	Icon = "Raise Undead",
	manaCost = 20,
	effectType = "InstantHitSpell",
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	SpellType = "BuffTypeSpell",
	SpellFXName = "HealEffect",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Fills your target with the blessing of natures touch, increasing the amount you forage from plants",
	SpellFXArgs = "Bone=Ground",
	requireLineOfSight = true,
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "BuffEffect_C",
	SpellDisplayName = "Natures Touch",
	Skill = "NatureMagicSkill",
	RequireTarget = true,
	TargetMobileEffect = "NaturesTouch",
	Reagents = {
		"Mushrooms",
	},	
}

SpellData.AllSpells.Rejuvenation =
{
	PowerWords = "Celda Mau Heleous",
	Circle = 5,
	Icon = "Regrowth",
	manaCost = 18,
	effectType = "InstantHitSpell",
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	SpellType = "BuffTypeSpell",
	SpellFXName = "HealEffect",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Rejuvenates your targets health over time. This spell is more effective on tamed pets",
	SpellFXArgs = "Bone=Ground",
	requireLineOfSight = true,
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "BuffEffect_C",
	SpellDisplayName = "Rejuvenation",
	Skill = "NatureMagicSkill",
	RequireTarget = true,
	TargetMobileEffect = "Rejuvenation",
	Reagents = {
		"Ginseng",
	},	
}

SpellData.AllSpells.SpiritOfTheWolf =
{
	PowerWords = "Umas Del Agi",
	Circle = 6,
	Icon = "Summon Spirit Wolf",
	manaCost = 24,
	effectType = "InstantHitSpell",
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	SpellType = "BuffTypeSpell",
	SpellFXName = "HealEffect",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Increase targets agility.",
	SpellFXArgs = "Bone=Ground",
	requireLineOfSight = true,
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "BuffEffect_C",
	SpellDisplayName = "Spirit of the Wolf",
	Skill = "NatureMagicSkill",
	RequireTarget = true,
	TargetMobileEffect = "SpiritOfTheWolf",
	Reagents = {
		"Mushrooms",
	},	
}

SpellData.AllSpells.SpiritOfTheBear =
{
	PowerWords = "Umas Del Stren",
	Circle = 6,
	Icon = "Summon Spirit Bear",
	manaCost = 24,
	effectType = "InstantHitSpell",
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	SpellType = "BuffTypeSpell",
	SpellFXName = "HealEffect",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
	SpellTooltipString = "Increase targets strength.",
	SpellFXArgs = "Bone=Ground",
	requireLineOfSight = true,
	BeneficialSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "BuffEffect_C",
	SpellDisplayName = "Spirit of the Bear",
	Skill = "NatureMagicSkill",
	RequireTarget = true,
	TargetMobileEffect = "SpiritOfTheBear",
	Reagents = {
		"Mushrooms",
	},	
}

SpellData.AllSpells.SummonStorm =
{
	PowerWords = "Uligh eng crshs",
	manaCost = 30,
	DamageType = "Energy",			
	effectType = "InstantHitSpell",
	SpellPower = 31,
	SpellRange = 12,
	TargetType = "targetLocation",
	TargetRequired = true,
	CanBeInterrupted = true,
	NoMobFrienldyFire = true, 
	CanClearcast = true,
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellTooltipString = "Summons the power of the storms, laying waste to all beneath it",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_heal",
	SpellDisplayName = "Summon Storm",
	SpellReleaseUserScript  = "sp_summon_storm_effect",
	DoNotReplaceTarget = true,
	InstantHitSpell = true,
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellLaunchSFX = "DustTrailEffect",
	Icon = "Maelstrom",
	Reagents = {
		"LemonGrass",
	},
	Circle = 7,	
}

SpellData.AllSpells.VenomousAffliction = 
{
	PowerWords = "Snayk Eous",
	Icon = "Poison Splash",
	manaCost = 24,
	effectType = "InstantHitSpell",
	SpellPower = 8,
	critChance = 0,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeGreenEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailGreenEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandGreenEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
	SpellHitSFX = "event:/animals/worm/worm_pain",
	SpellTooltipString = "Poisons the target dealing deadly damage over 15 seconds and reducing healing.",
	requireLineOfSight = true,
	Skill = "NatureMagicSkill",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellDisplayName = "Venomous Affliction",
	TargetMobileEffect = "VenomousAffliction",
	ReagentsRequired = false,
	Reagents = {
		"Mushrooms",
	},
	Circle = 5,
}