require 'default:tool_barehands'

--OVERRIDE--
-- this override is a copy and paste from the default
-- added in checks for nature based resources
-- players with the objvar SpellBuffData.NaturesTouch 
ResourceHarvester.CollectResource = function(user,resourceType)
	local backpackObj = user:GetEquippedObject("Backpack")  
	if( backpackObj ~= nil ) then		
		
		-- see if the user gets an upgraded version
		resourceType = GetHarvestResourceType(user,resourceType)
		if (resourceType == nil) then return end

		local resourceData = nil
		local stackAmount = 1

		-- BEGIN OVERRIDE
		-- if not using the foraging skill then set this value to 1
		local skillLevelBonus = 1 + (math.floor(GetSkillLevel(user,"ForagingSkill")/100)) or 1
		-- END OVERRIDE
		
		if ( ResourceData.ResourceInfo[resourceType] ) then
			local minStack = ResourceData.ResourceInfo[resourceType].MinStack
			local maxStack = ResourceData.ResourceInfo[resourceType].MaxStack
			
			-- BEGIN OVERRIDE
			-- is this resource checked for the nature magic bonus
			-- naturetouch is between 0-1 so 50 skill = 50% bonus applied from the ResourceData.ResourceInfo.Key.NatureMagicBonus
			if(ResourceData.ResourceInfo[resourceType].NatureMagicBonus and user:HasObjVar("SpellBuffData.NaturesTouch")) then
				local bonus = math.floor(user:GetObjVar("SpellBuffData.NaturesTouch") * ResourceData.ResourceInfo[resourceType].NatureMagicBonus)

				minStack = minStack + bonus
				maxStack = maxStack + bonus
			end
			-- END OVERRIDE

			if ( minStack or maxStack ) then
				stackAmount = math.random(minStack or 1, maxStack or 1)
				stackAmount = math.floor(stackAmount * skillLevelBonus)
			else
				stackAmount = math.floor(stackAmount * skillLevelBonus)
			end
		end

		Create.Stack.InBackpack( ResourceData.ResourceInfo[resourceType].Template, user, stackAmount )
		
		-- BEGIN OVERRIDE
		-- check for skill gain chance for harvesting
		-- remove this if your not using the foraging skill
		CheckSkillChance(user,"ForagingSkill",GetSkillLevel(user,"ForagingSkill"),0.5)
		-- END OVERRIDE	 

	    local displayName = GetResourceDisplayName(resourceType)
	    user:SystemMessage("You harvest "..stackAmount.." "..displayName..".","info")
		mUser = user
	    user:NpcSpeech("[F4FA58]+"..stackAmount.." "..displayName.."[-]","combat")
	end	
end