require 'default:globals.helpers.spellbook'

--- OVERRIDE FOR DETECTION OF OTHER SPELLBOOKS
--- Find all spellbook objects on/in another object
-- @param obj
-- @return lua list of spellbook objects
function FindSpellbooksOn(obj)
	local spellbooks = {}
	
	-- look for spellbooks in their backpack
	local backpack = obj:GetEquippedObject("Backpack")
	if ( backpack ) then
		spellbooks = FindItemsInContainerRecursive(backpack, function(fobj)
			if ( getBookType(fobj) == "Spellbook") then return true end
			if ( getBookType(fobj) == "SorceryBook") then return true end
			return false
		end)
	end

	-- look for one equipped
	local equipped = obj:GetEquippedObject("RightHand")
	if ( equipped ) then
		table.insert(spellbooks, equipped)
	end

	return spellbooks
end