-- this is a modified version of the Poison Spell from citadel
MobileEffectLibrary.Agony = 
{
	-- let the engine know this is a debuff
	Debuff = true,
	-- this makes it so this can be resisted
	Resistable = true,
	
	-- when the self.ParentObj gets this mobile effect applied we want
	-- to set up the initial buffs or mobile mods or what ever effect
	-- happens when we first enter this state
	OnEnterState = function(self,root,target,args)
		self.Target = target
		self.PulseFrequency = args.PulseFrequency or self.PulseFrequency
		self.PulseMax = args.PulseMax or self.PulseMax
		self.MinDamage = args.MinDamage or self.MinDamage
		self.MaxDamage = args.MaxDamage or self.MaxDamage

		if ( self.ParentObj:IsPlayer() ) then
			AddBuffIcon(self.ParentObj, "Agony", "Agony", "Imbue Unholy", "deals damage every "..self.PulseFrequency.Seconds.." seconds for " ..(self.PulseFrequency.Seconds * self.PulseMax) .. " seconds", true)
		end

		if ( HasHumanAnimations(self.ParentObj) ) then
			self.ParentObj:PlayAnimation("sunder")
		else
			-- impale is the "heavy attack for mobs"
			self.ParentObj:PlayAnimation("impale")
		end

		-- manually advance conflict since the damageType Poison doesn't call guards.
		AdvanceConflictRelation(target, self.ParentObj)
	end,

	-- when the self.ParentObj goes to exit this mobile effect state we want
	-- to remove any buffs or mobile mods attached to the self.ParentObj
	OnExitState = function(self,root)
		if ( self.ParentObj:IsPlayer() ) then
			RemoveBuffIcon(self.ParentObj, "Agony")
		end
	end,

	-- when the self.parentOjb calls the self.OnEnterState the internal state machine
	-- will set the pulse frequency in which to end this mobile effect. this function
	-- will return the TimeSpan duration in which to call the self.OnExitState
	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,

	-- when the self.ParentObj calls the self.AiPulse, this happens when the timer
	-- pulses so here is a good place to call our EndMobileEffect function and will
	-- fire off our self.OnExitState 
	AiPulse = function(self,root)
		self.CurrentPulse = self.CurrentPulse + 1
		if ( IsDead(self.ParentObj) or self.CurrentPulse > self.PulseMax ) then
			EndMobileEffect(root)
		else
			self.ParentObj:SendMessage("ProcessTypeDamage", self.Target, math.random(self.MinDamage, self.MaxDamage), "Poison")
		end
	end,

	PulseFrequency = TimeSpan.FromSeconds(2),
	PulseMax = 6,
	CurrentPulse = 0,
	MinDamage = 3,
	MaxDamage = 5,
	SpellCaster = nil,
}