LootGenerationTableDefines = {}
--- NOTES
--- if you do not have the content mod pack it will use the top NORMAL table of essences
--- if you do have the essence content pack, it will use the table below.

--- NORMAL LEGENDS OF ARIA ESSENCES
-- set the table for citadels essences
LootGenerationTableDefines = 
{
	WeaponType = 
	{
		{EssenceName="RuneofSpeed",MaxValue=30},
		{EssenceName="RuneofPower",MaxValue=5},
		{EssenceName="RuneofFire",MaxValue=25},
		{EssenceName="RuneOfIce",MaxValue=25},
		{EssenceName="RuneOfLightning",MaxValue=25},
		{EssenceName="RuneOfSunder",MaxValue=25},
		{EssenceName="RuneOfSilence",MaxValue=25},
		{EssenceName="EffectofStarfall",MaxValue=25},
		{EssenceName="EffectofMagicAmplification",MaxValue=25},
		{EssenceName="RuneofAccuracy",MaxValue=25},
	},
	ArmorType =
	{
		{EssenceName="RuneofMending",MaxValue=8},
		{EssenceName="RuneofWater",MaxValue=8},
		{EssenceName="EffectManaRegenPlus",MaxValue=3},
		{EssenceName="EffectHealthRegenPlus",MaxValue=3},
		{EssenceName="EffectStaminaRegenPlus",MaxValue=3},
		{EssenceName="RuneofEvasion",MaxValue=8},
		{EssenceName="LizardmanScales",MaxValue=4},
		{EssenceName="CharredBones",MaxValue=4},
		{EssenceName="DragonScales",MaxValue=4},
		{EssenceName="SeveredHand",MaxValue=4},
		{EssenceName="OrkScalp",MaxValue=4},
		{EssenceName="SpiderLegs",MaxValue=4},
		{EssenceName="GrizzlyBearTooth",MaxValue=4},
		{EssenceName="GargoyleEyeball",MaxValue=4},
		{EssenceName="OgreEars",MaxValue=4},
		{EssenceName="EntRoots",MaxValue=4},
		{EssenceName="SturdyThreads",MaxValue=8},
		{EssenceName="ResilientThreads",MaxValue=8},
		{EssenceName="UnyieldingThreads",MaxValue=8},
		{EssenceName="TheurgyThreads",MaxValue=8},
		{EssenceName="FlowingThreads",MaxValue=10},
		{EssenceName="RuneOfHealth",MaxValue=10},
	},
	JewelryType =
	{
		{EssenceName="RuneOfTaming",MaxValue=25},
		{EssenceName="RuneOfLockpicking",MaxValue=25},
		{EssenceName="RuneofPower",MaxValue=5},
		{EssenceName="RuneofWater",MaxValue=8},
		{EssenceName="EffectOfHarvesting",MaxValue=25},
		{EssenceName="FlowingThreads",MaxValue=10},
		{EssenceName="RuneOfCarrying",MaxValue=10},
		{EssenceName="LizardmanScales",MaxValue=4},
		{EssenceName="CharredBones",MaxValue=4},
		{EssenceName="DragonScales",MaxValue=4},
		{EssenceName="SeveredHand",MaxValue=4},
		{EssenceName="OrkScalp",MaxValue=4},
		{EssenceName="SpiderLegs",MaxValue=4},
		{EssenceName="GrizzlyBearTooth",MaxValue=4},
		{EssenceName="GargoyleEyeball",MaxValue=4},
		{EssenceName="OgreEars",MaxValue=4},
		{EssenceName="EntRoots",MaxValue=4},
		{EssenceName="RuneofSpeed",MaxValue=30},
		{EssenceName="RuneofVanquishing",MaxValue=50},				
	},
	ShieldType =
	{
		{EssenceName="ExpandingTrinket",MaxValue=30},
		{EssenceName="ShinyTrinket",MaxValue=10},
		{EssenceName="RuneofEvasion",MaxValue=8},
		{EssenceName="LizardmanScales",MaxValue=4},
		{EssenceName="CharredBones",MaxValue=4},
		{EssenceName="DragonScales",MaxValue=4},
		{EssenceName="SeveredHand",MaxValue=4},
		{EssenceName="OrkScalp",MaxValue=4},
		{EssenceName="SpiderLegs",MaxValue=4},
		{EssenceName="GrizzlyBearTooth",MaxValue=4},
		{EssenceName="GargoyleEyeball",MaxValue=4},
		{EssenceName="OgreEars",MaxValue=4},
		{EssenceName="EntRoots",MaxValue=4},
		{EssenceName="SturdyThreads",MaxValue=8},
		{EssenceName="ResilientThreads",MaxValue=8},
		{EssenceName="UnyieldingThreads",MaxValue=8},
		{EssenceName="TheurgyThreads",MaxValue=8},
		{EssenceName="FlowingThreads",MaxValue=10},
	},
	WandType =
	{
		{EssenceName="RuneofMending",MaxValue=8},
		{EssenceName="RuneofWater",MaxValue=8},
		{EssenceName="EffectManaRegenPlus",MaxValue=3},
		{EssenceName="EffectHealthRegenPlus",MaxValue=3},
		{EssenceName="TheurgyThreads",MaxValue=8},
		{EssenceName="FlowingThreads",MaxValue=10},
		{EssenceName="RuneOfHealth",MaxValue=10},
	},
	StaffType =
	{
		{EssenceName="RuneofMending",MaxValue=16},
		{EssenceName="RuneofWater",MaxValue=16},
		{EssenceName="EffectManaRegenPlus",MaxValue=6},
		{EssenceName="EffectHealthRegenPlus",MaxValue=6},
		{EssenceName="TheurgyThreads",MaxValue=16},
		{EssenceName="FlowingThreads",MaxValue=20},
		{EssenceName="RuneOfHealth",MaxValue=20},
	},
	SpellbookType =
	{
		{EssenceName="RuneofMending",MaxValue=8},
		{EssenceName="RuneofWater",MaxValue=8},
		{EssenceName="EffectManaRegenPlus",MaxValue=3},
		{EssenceName="EffectHealthRegenPlus",MaxValue=3},
		{EssenceName="TheurgyThreads",MaxValue=8},
		{EssenceName="FlowingThreads",MaxValue=10},
		{EssenceName="RuneOfHealth",MaxValue=10},
	},
}

--- this function checks to see if you applied my essonce mod,
--- if so then it will use the table below
function HasEssenceMod()
	for k,v in pairs(EssenceData) do
		local check = v.IsCustomModEssence or false
		if(check == true) then return true end
	end
	return check
end


-- CHECK FOR ESSENCE CONTENT PACK
if(HasEssenceMod() == true) then
	-- use this table instead if you have the essence pack
	LootGenerationTableDefines = 
	{
		WeaponType = 
		{
			--citadel essences 
			{EssenceName="RuneofSpeed",MaxValue=30},
			{EssenceName="RuneofPower",MaxValue=5},
			{EssenceName="RuneofFire",MaxValue=25},
			{EssenceName="RuneOfIce",MaxValue=25},
			{EssenceName="RuneOfLightning",MaxValue=25},
			{EssenceName="RuneOfSunder",MaxValue=25},
			{EssenceName="RuneOfSilence",MaxValue=25},
			{EssenceName="EffectofStarfall",MaxValue=25},
			{EssenceName="EffectofMagicAmplification",MaxValue=25},
			{EssenceName="RuneofAccuracy",MaxValue=25},
			-- essence content pack mods
			{EssenceName="BonusAgility",MaxValue=8},
			{EssenceName="BonusConstitution",MaxValue=8},
			{EssenceName="BonusIntelligence",MaxValue=8},
			{EssenceName="BonusStrength",MaxValue=8},
			{EssenceName="BonusWill",MaxValue=8},
			{EssenceName="BonusWisdom",MaxValue=8},
		},
		ArmorType =
		{
			--citadel essences 
			{EssenceName="RuneofMending",MaxValue=8},
			{EssenceName="RuneofWater",MaxValue=8},
			{EssenceName="EffectManaRegenPlus",MaxValue=25},
			{EssenceName="EffectHealthRegenPlus",MaxValue=25},
			{EssenceName="EffectStaminaRegenPlus",MaxValue=25},
			{EssenceName="RuneofEvasion",MaxValue=8},
			{EssenceName="LizardmanScales",MaxValue=4},
			{EssenceName="CharredBones",MaxValue=4},
			{EssenceName="DragonScales",MaxValue=4},
			{EssenceName="SeveredHand",MaxValue=4},
			{EssenceName="OrkScalp",MaxValue=4},
			{EssenceName="SpiderLegs",MaxValue=4},
			{EssenceName="GrizzlyBearTooth",MaxValue=4},
			{EssenceName="GargoyleEyeball",MaxValue=4},
			{EssenceName="OgreEars",MaxValue=4},
			{EssenceName="EntRoots",MaxValue=4},
			{EssenceName="SturdyThreads",MaxValue=8},
			{EssenceName="ResilientThreads",MaxValue=8},
			{EssenceName="UnyieldingThreads",MaxValue=8},
			{EssenceName="TheurgyThreads",MaxValue=8},
			{EssenceName="FlowingThreads",MaxValue=10},
			{EssenceName="RuneOfHealth",MaxValue=8},
			-- essence content pack mods
			{EssenceName="BonusMana",MaxValue=8},
			{EssenceName="BonusStamina",MaxValue=8},
		},
		JewelryType =
		{
			--citadel essences 
			{EssenceName="RuneOfTaming",MaxValue=25},
			{EssenceName="RuneOfLockpicking",MaxValue=25},
			{EssenceName="RuneofPower",MaxValue=5},
			{EssenceName="RuneofWater",MaxValue=8},
			{EssenceName="EffectOfHarvesting",MaxValue=25},
			{EssenceName="FlowingThreads",MaxValue=10},
			{EssenceName="RuneOfCarrying",MaxValue=10},
			{EssenceName="LizardmanScales",MaxValue=4},
			{EssenceName="CharredBones",MaxValue=4},
			{EssenceName="DragonScales",MaxValue=4},
			{EssenceName="SeveredHand",MaxValue=4},
			{EssenceName="OrkScalp",MaxValue=4},
			{EssenceName="SpiderLegs",MaxValue=4},
			{EssenceName="GrizzlyBearTooth",MaxValue=4},
			{EssenceName="GargoyleEyeball",MaxValue=4},
			{EssenceName="OgreEars",MaxValue=4},
			{EssenceName="EntRoots",MaxValue=4},
			{EssenceName="RuneofSpeed",MaxValue=30},
			{EssenceName="RuneofVanquishing",MaxValue=50},		
			-- essence content pack mods
			{EssenceName="BonusAgility",MaxValue=8},
			{EssenceName="BonusConstitution",MaxValue=8},
			{EssenceName="BonusIntelligence",MaxValue=8},
			{EssenceName="BonusStrength",MaxValue=8},
			{EssenceName="BonusWill",MaxValue=8},
			{EssenceName="BonusWisdom",MaxValue=8},
			-- version 1.1 update
			{EssenceName="SkillGainIncreaseTimes",MaxValue=10},
			{EssenceName="GoldIncreaseTimes",MaxValue=20},
		},
		ShieldType =
		{
			--citadel essences 
			{EssenceName="ExpandingTrinket",MaxValue=30},
			{EssenceName="ShinyTrinket",MaxValue=10},
			{EssenceName="RuneofEvasion",MaxValue=8},
			{EssenceName="LizardmanScales",MaxValue=4},
			{EssenceName="CharredBones",MaxValue=4},
			{EssenceName="DragonScales",MaxValue=4},
			{EssenceName="SeveredHand",MaxValue=4},
			{EssenceName="OrkScalp",MaxValue=4},
			{EssenceName="SpiderLegs",MaxValue=4},
			{EssenceName="GrizzlyBearTooth",MaxValue=4},
			{EssenceName="GargoyleEyeball",MaxValue=4},
			{EssenceName="OgreEars",MaxValue=4},
			{EssenceName="EntRoots",MaxValue=4},
			{EssenceName="SturdyThreads",MaxValue=8},
			{EssenceName="ResilientThreads",MaxValue=8},
			{EssenceName="UnyieldingThreads",MaxValue=8},
			{EssenceName="TheurgyThreads",MaxValue=8},
			{EssenceName="FlowingThreads",MaxValue=10},
			-- essence content pack mods
			{EssenceName="IncreasedHitChance",MaxValue=15},
			{EssenceName="IncreasedDefenseChance",MaxValue=15},
			{EssenceName="IncreasedWeaponSpeed",MaxValue=15},
		},
		WandType =
		{
			--citadel essences
			{EssenceName="RuneofMending",MaxValue=8},
			{EssenceName="RuneofWater",MaxValue=8},
			{EssenceName="EffectManaRegenPlus",MaxValue=25},
			{EssenceName="EffectHealthRegenPlus",MaxValue=25},
			{EssenceName="TheurgyThreads",MaxValue=8},
			{EssenceName="FlowingThreads",MaxValue=10},
			{EssenceName="RuneOfHealth",MaxValue=10},
			-- essence content pack mods
			{EssenceName="BonusWill",MaxValue=8},
			{EssenceName="BonusWisdom",MaxValue=8},
			{EssenceName="BonusIntelligence",MaxValue=8},
			{EssenceName="BonusMana",MaxValue=8},
		},
		StaffType =
		{
			--citadel essences
			{EssenceName="RuneofMending",MaxValue=16},
			{EssenceName="RuneofWater",MaxValue=16},
			{EssenceName="EffectManaRegenPlus",MaxValue=50},
			{EssenceName="EffectHealthRegenPlus",MaxValue=50},
			{EssenceName="TheurgyThreads",MaxValue=16},
			{EssenceName="FlowingThreads",MaxValue=20},
			{EssenceName="RuneOfHealth",MaxValue=20},
			-- essence content pack mods
			{EssenceName="BonusWill",MaxValue=16},
			{EssenceName="BonusWisdom",MaxValue=16},
			{EssenceName="BonusIntelligence",MaxValue=16},
			{EssenceName="BonusMana",MaxValue=16},
		},
		SpellbookType =
		{
			--citadel essences
			{EssenceName="RuneofMending",MaxValue=8},
			{EssenceName="RuneofWater",MaxValue=8},
			{EssenceName="EffectManaRegenPlus",MaxValue=3},
			{EssenceName="EffectHealthRegenPlus",MaxValue=3},
			{EssenceName="TheurgyThreads",MaxValue=8},
			{EssenceName="FlowingThreads",MaxValue=10},
			{EssenceName="RuneOfHealth",MaxValue=10},
			-- essence content pack mods
			{EssenceName="BonusWill",MaxValue=8},
			{EssenceName="BonusWisdom",MaxValue=8},
			{EssenceName="BonusIntelligence",MaxValue=8},
			{EssenceName="BonusMana",MaxValue=8},			
		},		
	}		
end